﻿body {
    font-family: Arial, sans-serif !important;
    background-color: #f4f4f9 !important;
    margin: 0;
    padding: 0;
}
button[type="button"] {
    margin-top: 10px;
}
button {
    padding: 10px 15px;
    border: none;
    background-color: #2e58a6;
    color: white;
    border-radius: 4px;
    cursor: pointer;
    width: 20%
}
.btn-submit-dep {
    background-color: #28a745; /* Xanh lá tùy chỉnh */
    border-color: #218838; /* Màu viền tùy chỉnh */
    color: white; /* Màu chữ */
}

.btn-submit-dep:hover {
    background-color: #218838; /* Màu khi hover */
    border-color: #1e7e34;
}

.btn-register {
    background-color: #0056b3; /* Xanh lá tùy chỉnh */
    border-color: #218838; /* Màu viền tùy chỉnh */
    color: white; /* Màu chữ */
    width: 100%;
    font-size: 1.25rem;
}

.btn-register:hover {
    background-color: #0056b3; /* Màu khi hover */
    border-color: #1e7e34;
}

.btn-cancel {
    color: #fff; /* Màu chữ */
    background-color: #343a40; /* Màu nền */
    border-color: #343a40; /* Màu viền */
}

.btn-cancel:hover {
    color: #fff;
    background-color: #23272b; /* Màu nền khi hover */
    border-color: #1d2124; /* Màu viền khi hover */
}

.btn-add-dep {
    color: #fff; /* Màu chữ */
    background-color: #0d6efd; /* Màu nền */
    border-color: #0d6efd; /* Màu viền */
}

.btn-add-dep:hover {
    color: #fff;
    background-color: #0b5ed7; /* Màu nền khi hover */
    border-color: #0a58ca; /* Màu viền khi hover */
}

.btn-add-dep:focus {
    color: #fff;
    background-color: #0b5ed7; /* Màu nền khi focus */
    border-color: #0a58ca; /* Màu viền khi focus */
    box-shadow: 0 0 0 0.25rem rgba(13, 110, 253, 0.5); /* Hộp bóng */
}

.btn-add-dep:active {
    color: #fff;
    background-color: #0a58ca; /* Màu nền khi active */
    border-color: #0a53be; /* Màu viền khi active */
}

.form-container {
    width: 100%;
    max-width: 60%;
    margin:  20px auto;
    padding: 20px;
    background: #fff;
    border-radius: 8px;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
}
.form-container2 {
    max-width: 70% !important; /* Đảm bảo form không quá rộng */
}
.form-container3 {
    max-width: 60% !important; /* Đảm bảo form không quá rộng */
}
.form-container h2 {
    margin-bottom: 20px;
   /* color: #333;*/
    text-align: center;
}

.form-group {
    margin-bottom: 15px;
}

.form-group label {
    display: block;
    margin-bottom: 5px;
    font-size: 12pt;
  /*  font-weight: bold;*/
   /* color: #555;*/
}
/* Đảm bảo tất cả các trường sử dụng box-sizing */
input, select, textarea, .select2-container .select2-selection--single {
    box-sizing: border-box;
}

/* Thiết lập chung cho các input và select */
input, select, textarea {
    width: 100%;
    padding: 10px;
    border: 1px solid #ddd;
    border-radius: 4px;
    font-size: 14px;
}

/* Đảm bảo đồng nhất kích thước cho Select2 */
.form-group .select2-container .select2-selection--single {
    height: 40px; /* Căn chỉnh với chiều cao của các trường khác */
    padding: 5px 10px; /* Đảm bảo padding đồng đều */
    border: 1px solid #ddd;
    border-radius: 4px;
}

.form-group textarea {
    resize: vertical; /* Cho phép chỉnh độ cao */
    min-height: 50px;
}

    .form-group input:focus, .form-group select:focus, .form-group textarea:focus {
        border-color: #007BFF;
        outline: none;
        box-shadow: 0 0 4px rgba(0, 123, 255, 0.5);
    }

.form-inline {
    display: flex;
    flex-wrap: wrap;
    gap: 15px;
}

    .form-inline .form-group {
        flex: 1;
        min-width: 200px; /* Đảm bảo không bị quá nhỏ */
    }

table {
    width: 100%;
    border-collapse: collapse;
    margin-top: 20px;
}

table, th, td {
    border: 1px solid #ccc;
}

th, td {
    padding: 10px;
    text-align: left;
}

th {
    background-color: #f4f4f4;
}


h3, h4 {
    margin-bottom: 10px !important;
}
h1 {
    display: block;
    font-size: 1.7em !important;
    margin-block-start: 0.67em;
    margin-block-end: 0.67em;
    margin-inline-start: 0px;
    margin-inline-end: 0px;
    font-weight: bold !important;
    unicode-bidi: isolate;
}
.department {
    border: 1px solid #ddd;
    padding: 15px;
    margin-bottom: 20px;
    background-color: #fff;
}

.user {
    display: grid;
    grid-template-columns: repeat(4, 1fr) auto;
    gap: 10px;
    margin-bottom: 10px;
    align-items: flex-start;
}


.GrayText {
    color: #ABABAB !important;
}
.RedText {
    color: red !important;
}
.BlueText {
    color: blue !important;
}
.form-footer {
    text-align: center;
    margin-top: 20px;
}

.form-footer a {
color: #007BFF;
text-decoration: none;
}

.form-footer a:hover {
    text-decoration: underline;
}

.error {
    color: red;
    font-size: 12px;
    margin-top: 5px;
}

.required {
    color: red;
    font-size: 12px;
}
.select2-container {
    width: 100% !important;
}

.progress-container {
    width: 100%;
    background-color: #f3f3f3;
    border: 1px solid #ccc;
    border-radius: 5px;
    height: 30px;
}

.progress-bar {
    width: 0%;
    height: 100%;
    background-color: #4caf50;
    text-align: center;
    color: white;
    line-height: 30px;
    border-radius: 5px;
    transition: width 0.3s ease;
}

.progress-button {
    margin-top: 20px;
    padding: 10px 20px;
    background-color: #008CBA;
    color: white;
    border: none;
    border-radius: 5px;
    cursor: pointer;
}
/* CSS cho lớp overlay */
#overlay {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.5);
    display: none;
    z-index: 1000;
}

#loading {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    color: white;
    font-size: 18px;
}
.alert-info {
    background-image: url(/images/alert.jpg);
    background-size: cover; /* Lấp đầy khung hình, có thể bị cắt để giữ tỷ lệ */
    background-position: center; /* Căn giữa hình ảnh trong khung */
    background-repeat: no-repeat; /* Không lặp lại hình ảnh */
    display: none;
    text-align:center;
    font-size:1.2rem;
}
.email-container {
    display: flex;
    align-items: center;
    border: 1px solid #ddd;
    border-radius: 4px;
    width: 100%;
    padding:2px;
}

.email-container input {
    border: none;
    outline: none;
    flex: 1;
    font-size: 12px;
    
}

.email-container span {
    font-size: 12px;
    color: blue;
}

.form-header {
    position: relative;
    height: 110px;
}

.logo-center {
    position: absolute;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
}

.logo-center img {
    max-height: 90px;
}

.lang-switcher {
    position: absolute;
    top: 16px;
    right: 16px;
}

.lang-switcher img {
    width: 22px;
    height: 15px;
    margin-left: 6px;
    cursor: pointer;
}
/* Media Queries cho màn hình nhỏ */
@media (max-width: 768px) {
    .form-inline {
        flex-direction: column; /* Hiển thị các trường xếp dọc thay vì ngang */
    }
    .user {
        display: flex;
        flex-direction: column;       
    }
    table {
        display: block;
        overflow-x: auto;
        white-space: nowrap;
    }

    th, td {
        font-size: 12px;
    }

    .form-container {
        max-width: 92%;
        padding: 15px;
        margin-right:25px;
        margin-bottom:30px;
    }
    .form-container h2 {
        font-size: 20px;
        text-align: left;
    }
    .form-group label {
        display: block;
        margin-bottom: 5px;
        font-size: 11pt;
        /*  font-weight: bold;*/
        /* color: #555;*/
    }
    .btn-register {
        background-color: #0056b3;
        border-color: #218838;
        color: white;
        width: 100%;
        font-size: 1.15rem;
    }
    input, select, textarea {
        font-size: 12px;
        width: 100%;
        padding: 8px;
        border: 1px solid #ddd;
        border-radius: 3px;
    }
    .email-container {
        display: flex;
        align-items: center;
        border: 1px solid #ddd;
        border-radius: 4px;
        width: 98%;
        padding: 2px;
    }
    /* Đảm bảo đồng nhất kích thước cho Select2 */
    .form-group .select2-container .select2-selection--single {
        height: 30px; /* Căn chỉnh với chiều cao của các trường khác */
        padding: 5px 10px; /* Đảm bảo padding đồng đều */
        border: 1px solid #ddd;
        border-radius: 3px;
    }

    .progress-container {
        width: 100%;
        background-color: #f3f3f3;
        border: 1px solid #ccc;
        border-radius: 5px;
        height: 20px;
    }
    .form-header {
        position: relative;
        height: 110px;
    }

    .logo-center {
        position: absolute;
        left: 45%;
        top: 50%;
        transform: translate(-50%, -50%);
    }
    
    .logo-center img {
        max-height: 70px;
    }

    .lang-switcher {
        position: absolute;
        margin-top: 4px;
    }
    .lang-switcher img {
        display: none;
    }
}


/* Media Query cho màn hình lớn hơn hoặc bằng */
/*@media (min-width: 1024px) {
    .form-container {
        max-width: 60%;
    }
}*/
/* Media Query cho màn hình nhỏ hơn */
@media (max-width: 1024px) {
   /* .form-container {
        max-width: 95%;
    }*/
    
    button {
        padding: 10px;
        border: none;
        background-color: #2e58a6;
        color: white;
        border-radius: 4px;
        cursor: pointer;
        width:45%;
    }
}

